﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO7000 Check Trigger and Adjust Level IEEE
DATE:                  2017-07-25 12:09:17
AUTHOR:                Fluke
REVISION:              $Revision: 20438 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       70
=============================================================================
#
#  Procedure Author:
#        ZY, DAC
#
#  Models Covered:
#        DPO7054, DPO7104, DPO7254, DPO7354
#
#  Sources:
#        DPO7000, DSA/DPO70000, and DSA/DPO7000B Series
#        Digital Phosphor Oscilloscopes
#        Specification and Performance Verification
#        Technical Reference
#        077-0063-01
#        This document applies to firmware version 4.0.0 and above.
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           @AuxTrig
  1.002  MATH         TrigInitCmd = "AUXL 0"; TrigLevelCmd = "AUXL"
  1.003  ELSE
  1.004  MATH         TrigInitCmd = "A SETL"; TrigLevelCmd = "A:LEV"
  1.005  ENDIF

  1.006  IEEE2        TRIG:[V TrigInitCmd]
  1.007  WAIT         [D1000]
  1.008  MATH         PeakVal = @mVppApplied * 1E-3
  1.009  MATH         StepInc = PeakVal / 20
  1.010  MATH         PosPeak = PeakVal / 2 + StepInc
  1.011  MATH         NegPeak = 0 - PeakVal / 2

  1.012  DO
  1.013  MATH         PosPeak = PosPeak - StepInc
  1.014  IEEE2        TRIG:[V TrigLevelCmd] [V PosPeak]
  1.015  MATH         @TrigLvl = FMT((PosPeak / 1E-3), "%3.0f")
  1.016  HEAD         -2 Trigger Level: [V @TrigLvl] mV
  1.017  WAIT         [D1000]
  1.018  CALL         Sub Tek DPO7000 Is Triggered IEEE
  1.019  UNTIL        @Triggered || (PosPeak < NegPeak)

  1.020  HEAD         -2
  1.021  END
